<?php
defined('ABSPATH') || die('Cheatin\' uh?');

$currentDir = dirname(__FILE__);

define('_STRB_MENU_NAME_', 'Starbox New');
define('_STRB_NAME_', 'starboxnew');
define('_STRB_NAMESPACE_', 'STRB');

defined('_STRB_HOWTO_URL_') || define('_STRB_HOWTO_URL_', 'https://starbox.squirrly.co/help');

/* Directories */
define('_STRB_ROOT_DIR_', realpath(dirname($currentDir)) . '/');
define('_STRB_CLASSES_DIR_', _STRB_ROOT_DIR_ . 'classes/');
define('_STRB_CONTROLLER_DIR_', _STRB_ROOT_DIR_ . 'controllers/');
define('_STRB_MODEL_DIR_', _STRB_ROOT_DIR_ . 'models/');
define('_STRB_THEME_DIR_', _STRB_ROOT_DIR_ . 'view/');
define('_STRB_ASSETS_DIR_', _STRB_THEME_DIR_ . 'assets/');

/* URLS */
define('_STRB_URL_', rtrim(plugins_url('', $currentDir), '/') . '/');
define('_STRB_VIEW_URL_', _STRB_URL_ . 'view/');
define('_STRB_ASSETS_URL_', _STRB_VIEW_URL_ . 'assets/');
define('_STRB_ASSETS_RELATIVE_URL_', ltrim(parse_url(_STRB_ASSETS_URL_, PHP_URL_PATH), '/'));
define('_STRB_THEME_URL_', _STRB_VIEW_URL_ . 'Themes/');


